Summary:	Music player for GNOME
Summary(pl.UTF-8):	Odtwarzacz muzyki dla GNOME
Name:		gnome-music
Version:	3.34.2
Release:	1
License:	GPL v2 with GStreamer plugins exceptions
Group:		X11/Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-music/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	809ebb7a0cdd8b09dcf22e2466c322ca
Patch0:		%{name}-deps.patch
URL:		https://wiki.gnome.org/Apps/Music
BuildRequires:	gettext-tools
BuildRequires:	gnome-online-accounts-devel >= 3
BuildRequires:	gobject-introspection-devel >= 1.36.0
BuildRequires:	grilo-devel >= 0.3.9
BuildRequires:	gtk+3-devel >= 3.24.7
BuildRequires:	libdazzle-devel >= 3.28.0
BuildRequires:	libmediaart2-devel >= 1.9.1
BuildRequires:	libsoup-devel >= 2.4
BuildRequires:	meson >= 0.46.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-pycairo-devel >= 1.14.0
BuildRequires:	python3-pygobject3-devel >= 3.30
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	tracker-devel >= 2.2.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	gdk-pixbuf2
Requires:	glib2
Requires:	gobject-introspection >= 1.36.0
Requires:	grilo >= 0.3.9
Requires:	grilo-plugins >= 0.3.9
Requires:	gstreamer >= 1.0.0
Requires:	gstreamer-plugins-base >= 1.0.0
Requires:	gtk+3 >= 3.24.7
Requires:	hicolor-icon-theme
Requires:	libdazzle >= 3.28.0
Requires:	libmediaart2 >= 1.9.1
Requires:	libnotify
Requires:	python3-dbus
Requires:	python3-pycairo >= 1.14.0
Requires:	python3-pygobject3 >= 3.30
Requires:	python3-requests
Requires:	tracker-libs >= 2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Music is a music player for GNOME.

%description -l pl.UTF-8
GNOME Music to odtwarzacz muzyki dla GNOME.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' gnome-music.in

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang org.gnome.Music --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f org.gnome.Music.lang
%defattr(644,root,root,755)
%doc LICENSE NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-music
%dir %{_libdir}/org.gnome.Music
%attr(755,root,root) %{_libdir}/org.gnome.Music/libgd.so
%attr(755,root,root) %{_libdir}/org.gnome.Music/libgfm-0.1.so
%dir %{_libdir}/org.gnome.Music/girepository-1.0
%{_libdir}/org.gnome.Music/girepository-1.0/Gd-1.0.typelib
%{_libdir}/org.gnome.Music/girepository-1.0/Gfm-0.1.typelib
%dir %{_libdir}/org.gnome.Music/pkgconfig
%{_libdir}/org.gnome.Music/pkgconfig/gfm-0.1.pc
%{_datadir}/glib-2.0/schemas/org.gnome.Music.gschema.xml
%{_datadir}/metainfo/org.gnome.Music.appdata.xml
%{_datadir}/org.gnome.Music
%{_desktopdir}/org.gnome.Music.desktop
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Music-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Music.svg
%{py3_sitedir}/gnomemusic
%changelog
* Mon Nov 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-music.git;a=log;h=master

* Mon Nov 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 5a7a3e5
- updated to 3.34.2

* Sun Nov 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 3b64489
- added deps patch (don't require grilo-plugins at build time), updated dependencies; release 2

* Sat Nov 02 2019 Jan Rękorajski <baggins@pld-linux.org> ff46c83
- up to 3.34.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> d843c47
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed May 29 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> bda7480
- Updated to 3.32.2

* Sun Jan 20 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 6eebe49
- Updated to 3.30.2

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 082dd7a
- release 2 (by relup.sh)

* Sun Mar 25 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 0e01e19
- Update to 3.28.0.1

* Mon Jul 17 2017 Jakub Bogusz <qboosh@pld-linux.org> e284626
- updated to 3.24.2

* Sun Jan 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 36950e9
- pass pythondir to stabilize builds

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b429b49
- python 3.6
- release 3 (by relup.sh)

* Sat Nov 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 3ccdd98
- Add R: python3-requests. Release 2

* Wed Nov 09 2016 Marcin Banasiak <marcin.banasiak@gmail.com> a7fb60d
- Update to 3.22.2

* Fri Nov 27 2015 Jakub Bogusz <qboosh@pld-linux.org> d4eb89b
- updated to 3.18.2

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> f50590c
- updated to 3.18
- don't hide python3 behind /usr/bin/env

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f901a57
- python 3.5 rebuild
- release 3 (by relup.sh)

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> cf821c3
- python3 rebuild
- release 2 (by relup.sh)

* Sun Feb 01 2015 Marcin Banasiak <marcin.banasiak@gmail.com> bf5b2fd
- Update to 3.14.3.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 8215772
- updated gettext BR

* Mon Dec 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 800b231
- updated to 3.14.2

